Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=2170917

Description of problem:

On Katello 4.5, the only way to change the redhat_repository_url is when the CDN configuration is set to "Custom CDN".

However, there are specific use-case where some users need to use a different mirror URL to fetch our content. When using the

custom cdn configuration to make this change, access to our mirror is denied because katello won't use certificates to try establishing

a connection.

Associated revisions

Revision 3cb9f1a5 - 06/20/2023 03:12 PM - Ian Ballou 

Fixes #36463 - Authenticate to custom cdn using product certs (#10597)

History

#1 - 06/07/2023 05:55 PM - Quinn James

- Triaged changed from No to Yes

- Subject changed from Can't update the redhat_repository_url without changing the cdn_configuration to custom_cdn

 to Can't update the redhat_repository_url without changing the cdn_configuration to custom_cdn

- Target version set to Katello 4.11.0

#2 - 06/09/2023 07:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/10597 added

#3 - 06/20/2023 03:13 PM - The Foreman Bot

- Fixed in Releases Katello 4.10.0 added

#4 - 06/20/2023 03:25 PM - Ian Ballou

- Status changed from Ready For Testing to Closed
